Package com.sun.jna.platform.win32

## Class WinDef.BOOLByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WinDef.BOOLByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinDef

    public static class WinDef.BOOLByReference
    extends ByReference

The Class BOOLByReference.

### Constructor Summary

Constructors
`BOOLByReference()` Instantiates a new BOOL by reference.
`BOOLByReference​(WinDef.BOOL value)` Instantiates a new BOOL by reference.

### Method Summary

All Methods Instance Methods Concrete Methods
`WinDef.BOOL` `getValue()` Gets the value.
`void` `setValue​(WinDef.BOOL value)` Sets the value.

### Methods inherited from class com.sun.jna.ptr.ByReference

`toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BOOLByReference

    public BOOLByReference()

Instantiates a new BOOL by reference.

#### BOOLByReference

    public BOOLByReference​(WinDef.BOOL value)

Instantiates a new BOOL by reference.

Parameters:
  `value` - the value

### Method Detail

#### setValue

    public void setValue​(WinDef.BOOL value)

Sets the value.

Parameters:
  `value` - the new value

#### getValue

    public WinDef.BOOL getValue()

Gets the value.

Returns:
  the value